#!/bin/sh
# Compile and run examples of the jBook (https://jbook.ponec.net) by a Docker

PROJECT_DIR="$(dirname $0)/.."
cd $PROJECT_DIR

sudo docker version > /tmp/null || sudo apt update && sudo apt install docker.io
sudo docker build --tag ponec/jbook:1.0 . && \
sudo docker run -it -p 8080:8080 -v maven-repo:/root/.m2 ponec/jbook:1.0

# EOF
